# std::experimental::any::type

From cppreference.com
< cpp‎ | experimental‎ | any

const type_info& type() const; |  | (library fundamentals TS)

Queries the contained type.

### Parameters

(none)

### Return value

The `typeid` of the contained value if instance is non-empty, otherwise typeid(void).

### Exceptions

`noexcept` specification:
noexcept
Retrieved from "http://en.cppreference.com/mwiki/index.php?title=cpp/experimental/any/type&oldid=91723"
Category:

- unconditionally noexcept

Hidden categories:

- Pages with unreviewed unconditional noexcept template
- Pages with unreviewed noexcept template